Bug 756690 - Only valid error messages should be displayed when Deployable XML is blank.
Summary: Only valid error messages should be displayed when Deployable XML is blank.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
Assignee: Imre Farkas
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-24 09:55 UTC by Aziza Karol
Modified: 2016-09-20 05:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-30 17:13:48 UTC


Attachments (Terms of Use)
Error msg (205.09 KB, image/png)
2011-11-24 09:56 UTC, Aziza Karol
no flags Details
err messages (236.75 KB, image/png)
2012-01-02 10:21 UTC, Aziza Karol
no flags Details
err messages (229.19 KB, image/png)
2012-01-17 06:40 UTC, Aziza Karol
no flags Details

Description Aziza Karol 2011-11-24 09:55:11 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.1.navigate to administer->catalog 
2.Add catalog entry
3.Enter the name for the catalog entry,let URL of Deployable XML be blank and save.


  
Actual results:
Xml Deployable XML file doesn't resolve valid XML error message displayed even when  URL of Deployable XML is blank.
see attached screenshot.


Expected results:
if  URL of Deployable XML is blank then only "Xml can't be blank" should be displayed and "Xml Deployable XML file doesn't resolve valid XML" should be displayed when the file is invalid.


Additional info:
[root@vulcan03 noarch]# rpm -qa | grep aeolus
aeolus-conductor-0.7.0-0.20111124145018git4823c2b.el6.noarch
rubygem-rack-mount-0.7.1-3.aeolus.el6.noarch
rubygem-aeolus-cli-0.1.0-4.el6.noarch
aeolus-conductor-daemons-0.7.0-0.20111124145018git4823c2b.el6.noarch
rubygem-arel-2.0.10-0.aeolus.el6.noarch
rubygem-aeolus-image-0.1.0-6.el6.noarch
aeolus-configure-2.4.0-0.20111118150133gitde3c009.el6.noarch
aeolus-all-0.7.0-0.20111124145018git4823c2b.el6.noarch
rubygem-ZenTest-4.3.3-2.aeolus.el6.noarch
aeolus-conductor-doc-0.7.0-0.20111124145018git4823c2b.el6.noarch

Comment 1 Aziza Karol 2011-11-24 09:56:02 UTC
Created attachment 535826 [details]
Error msg

Comment 2 Imre Farkas 2011-12-08 13:59:59 UTC
I have fixed the bug. Please verify the commit ec565686dff983ca11699f9aa91ba3635cfb848b

Comment 3 Aziza Karol 2012-01-02 10:21:26 UTC
This issue is reproducible.

All the error messages get displayed.see attached screenshot

* Deployable XML file doesn't resolve valid XMLErrors
Catalog entry XML file is either invalid or no longer reachable at 
    * 1 error prohibited this record from being saved:
    * Xml can't be blank

[root@dell-pe1950-01 ~]# rpm  -qa | grep aeolus
aeolus-conductor-daemons-0.8.0-0.20111222233342gitd98cb57.el6.noarch
rubygem-aeolus-image-0.3.0-0.20111222173411gitc13b654.el6.noarch
rubygem-aeolus-cli-0.3.0-0.20111222173356git3cd6277.el6.noarch
aeolus-all-0.8.0-0.20111222233342gitd98cb57.el6.noarch
aeolus-configure-2.5.0-0.20111222173430git17b704a.el6.noarch
aeolus-conductor-0.8.0-0.20111222233342gitd98cb57.el6.noarch
aeolus-conductor-doc-0.8.0-0.20111222233342gitd98cb57.el6.noarch

Comment 4 Aziza Karol 2012-01-02 10:21:55 UTC
Created attachment 550227 [details]
err messages

Comment 5 wes hayutin 2012-01-03 17:42:45 UTC
adding ce-sprint-next bugs to ce-sprint

Comment 6 Steve Linabery 2012-01-10 17:51:50 UTC
ec565686dff983ca11699f9aa91ba3635cfb848b in aeolus-conductor-0.8.0-2.el6.src.rpm

Comment 7 Imre Farkas 2012-01-11 14:26:48 UTC
Another patch after the fix made this issue reproducible. It has been fixed again, by commit 938f84d49b448c425cf924b01b9f454cb7ee0dce

Comment 8 wes hayutin 2012-01-12 16:16:18 UTC
bugs in verified or on_qa moving off tracker

Comment 9 Aziza Karol 2012-01-16 14:06:02 UTC
The other error messages is not displayed now, however I see that "Deployable XML file doesn't resolve valid XML" is still displayed.

This message should not be displayed when xml file is blank.
 rpm -qa | grep aeolus
aeolus-conductor-doc-0.8.0-6.el6.noarch
rubygem-aeolus-image-0.3.0-2.el6.noarch
rubygem-aeolus-cli-0.3.0-3.el6.noarch
aeolus-all-0.8.0-6.el6.noarch
aeolus-conductor-0.8.0-6.el6.noarch
aeolus-configure-2.5.0-4.el6.noarch
aeolus-conductor-daemons-0.8.0-6.el6.noarch

Comment 10 Steve Linabery 2012-01-16 20:17:04 UTC
938f84d49b448c425cf924b01b9f454cb7ee0dce in aeolus-conductor-0.8.0-7.el6.src.rpm

Comment 11 Aziza Karol 2012-01-17 06:40:11 UTC
Only valid error messages is now displayed when the XML is blank.
see attached scrennshot.

No URL provided for the deployable XML file.
1 error prohibited this record from being saved:
Xml can't be blank


verified on:
rpm  -qa | grep aeolus
aeolus-conductor-doc-0.8.0-7.el6.noarch
rubygem-aeolus-image-0.3.0-2.el6.noarch
rubygem-aeolus-cli-0.3.0-3.el6.noarch
aeolus-all-0.8.0-7.el6.noarch
aeolus-conductor-0.8.0-7.el6.noarch
aeolus-configure-2.5.0-4.el6.noarch
aeolus-conductor-daemons-0.8.0-7.el6.noarch

Comment 12 Aziza Karol 2012-01-17 06:40:46 UTC
Created attachment 555669 [details]
err messages


Note You need to log in before you can comment on or make changes to this bug.